Partner

Get Performance Stats

GET
/partner/performance-stats

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

userId*string

Identifier of the partner user whose performance stats are requested

Formatuuid
startTime?string

Start of the reporting window (inclusive)

Formatdate-time
endTime?string

End of the reporting window (inclusive)

Formatdate-time

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/partner/performance-stats?userId=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "report": {    "aggregation": {      "rebate": {        "actualValue": "string",        "absoluteChange": "string",        "currency": "string"      },      "notionalValue": {        "actualValue": "string",        "absoluteChange": "string",        "currency": "string"      },      "newClients": {        "actualValue": 0,        "absoluteChange": 0      },      "activeTraders": {        "actualValue": 0,        "absoluteChange": 0      },      "cpaReward": {        "actualValue": "string",        "absoluteChange": "string",        "currency": "string"      }    }  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}